IBM GSKit requirements

The encryption capabilities of the Cipher adapter require IBM Global Security Kit (GSKit). By default, Integration Platform installs GSKit locally. A locally installed GSKit enables Integration Platform to run a specific version of GSKit that is automatically used by Integration Platform executable programs. Products that Integration Platform integrates with might use their own local version of GSKit. When you run Integration Platform with other products that are configured to use GSKit, you can configure the environment to use the latest or most appropriate version.

To use the Cipher adapter in an API or RMI environment, ensure that the library and executable path of your platform points to the local GSKit drivers by running the dtxcommon.bat file (on Windows) or the setup script (on UNIX) before you run a map. In an Integrated Server environment, you must manually adjust the paths to point to the GSKit drivers.

To prevent Integration Platform from using its locally installed version of GSKit, rename the hip_install_dir\GSKit directory to any other name. At runtime, Integration Platform automatically detects the missing GSKit directory and searches the platform-specific environment path for the GSKit modules.

When you have a globally installed version of GSKit on the same system due to the requirements of another product, renaming the hip_install_dir\GSKit directory ensures that the Integration Platform local GSKit is bypassed. The global version is managed by the GSKit installation program, and makes the security modules available on a system-wide basis.

To determine the version of the local GSKit that Integration Platform installed:
  1. From the command line, run the Integration Platform dtxcommon.bat file or the setup script.
  2. Run the gsk8ver_64 command.